<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DepartamentoPuesto extends Model
{
    protected $table = "tec_departamento_puesto";
    protected $fillable = ['personal_id', 'departamento_id',];

    public function Departamento()
    {
        return $this->hasOne('App\Departamento', 'id', 'departamento_id');
    }

    public function Docente()
    {
        return $this->hasOne('App\Docente', 'id', 'personal_id');
    }
}
